# Bulk Payment File Information

📁 **File Types**

<table><thead><tr><th width="160.5">ID</th><th>Status</th></tr></thead><tbody><tr><td>1</td><td>XLSX <mark style="color:blue;"><code>Yakında Commin</code></mark> </td></tr><tr><td>2</td><td>CSV <mark style="color:blue;"><code>Yakında</code></mark></td></tr><tr><td>3</td><td>JSON <mark style="color:blue;"><code>Yakında</code></mark></td></tr><tr><td>4</td><td>XML  <mark style="color:blue;"><code>Yakında</code></mark></td></tr><tr><td>5</td><td>TXT</td></tr></tbody></table>

📁 **File Patterns**

<table><thead><tr><th width="160.5">ID</th><th>Status</th></tr></thead><tbody><tr><td>1</td><td>Open Card - Simple</td></tr><tr><td>2</td><td>Open Card - Advanced</td></tr><tr><td>3</td><td>Insurance - Simple</td></tr><tr><td>4</td><td>Insurance - Advanced</td></tr></tbody></table>

📁 **File Columns**

{% tabs %}
{% tab title="TXT" %}
**Open Card Simple:**

```csharp
{cardNumber},{expiryDate},{amount},{lineNumber},{cardOwnerName},{trackingCode},{customerId},{productCategory},{productId},{merchantUniqueCode},{providerBased},{providerKey},{routeGroupKey},{payRouteByPass},{payRouteType},{posBased},{posId}
```

<details>

<summary><strong>Open Card Simple - Column Descriptions</strong></summary>

<table><thead><tr><th>Parameter</th><th>Description</th></tr></thead><tbody><tr><td><pre><code>cardNumber
</code></pre></td><td>Card number to be charged</td></tr><tr><td><pre><code>expiryDate
</code></pre></td><td>Card expiration date</td></tr><tr><td><pre><code>amount
</code></pre></td><td>Payment basket amount</td></tr><tr><td><pre><code>lineNumber
</code></pre></td><td>Transaction row number</td></tr><tr><td><pre><code>cardOwnerName
</code></pre></td><td>Cardholder name</td></tr><tr><td><pre><code>trackingCode
</code></pre></td><td><p>Tracking Number</p><p></p><p><strong>Note</strong> Not unique</p></td></tr><tr><td><pre><code>customerId
</code></pre></td><td>Customer identity number in your system<br><br><mark style="color:blue;"><strong>* Can be left empty</strong></mark> </td></tr><tr><td><pre><code>productCategory
</code></pre></td><td>Product category<br><br><mark style="color:blue;"><strong>* Can be left empty</strong></mark> </td></tr><tr><td><pre><code>productId
</code></pre></td><td>Product ID<br><br><mark style="color:blue;"><strong>* Can be left empty</strong></mark> </td></tr><tr><td><pre><code>merchantUniqueCode
</code></pre></td><td><p>Must be the same value as MerchantUniqueCode sent in the payment initiation request</p><p>This code is a unique value assigned by you for the transaction</p><p>It is used to uniquely identify and track a payment across all operations such as Cancellation Refund and Payment Inquiry<br><br><mark style="color:blue;"><strong>* 250</strong></mark><strong> </strong><mark style="color:blue;"><strong>characters</strong></mark><br><mark style="color:$danger;"><strong>*</strong></mark>  <mark style="color:$danger;">Must be unique</mark></p></td></tr><tr><td><pre><code>providerBased
</code></pre></td><td>Used when you decide on your own side which provider the payment should be routed through</td></tr><tr><td><pre><code>providerKey
</code></pre></td><td>Provider key you want the payment to be processed through</td></tr><tr><td><pre><code>routeGroupKey
</code></pre></td><td><p>Used when you want the payment to go through a configured custom provider set</p><p>The key of the relevant provider set must be provided</p></td></tr><tr><td><pre><code>payRouteByPass
</code></pre></td><td>Send <strong>true</strong> when you want to bypass the PayRoute configuration defined in the Paywall panel for the specific payment</td></tr><tr><td><pre><code>payRouteType
</code></pre></td><td>In the PayRoute bypass process, this field specifies which PayRoute type the settings should be forced to use<br><br>See: <a href="/pages/1Dk9V7ha13cYQ7LpykZx">PayRoute Types</a></td></tr><tr><td><pre><code>posBased
</code></pre></td><td>Used when you decide on your own side which provider the payment should be routed through</td></tr><tr><td><pre><code>posId
</code></pre></td><td><p>It is the connection ID of the provider you want the payment to be processed through</p><p>It is available in the list of connected providers in the Paywall panel</p></td></tr></tbody></table>

</details>

**Insurance Simple:**

```csharp
{cardNoFirst},{cardNoLast},{identityNumber},{amount},{lineNumber},{cardOwnerName},{trackingCode},{customerId},{productCategory},{productId},{merchantUniqueCode},{providerBased},{providerKey},{routeGroupKey},{payRouteByPass},{payRouteType},{posBased},{posId}
```

<details>

<summary><strong>Insurance Simple - Column Descriptions</strong></summary>

<table><thead><tr><th>Parameter</th><th>Description</th></tr></thead><tbody><tr><td><pre><code>cardNoFirst    
</code></pre></td><td>First 8 digits of the card</td></tr><tr><td><pre><code>cardNoLast
</code></pre></td><td>Last 4 digits of the card</td></tr><tr><td><pre><code>identityNumber
</code></pre></td><td>Cardholder’s TCKN/VKN number</td></tr><tr><td><pre><code>amount
</code></pre></td><td>Payment basket amount</td></tr><tr><td><pre><code>lineNumber
</code></pre></td><td>Transaction row number</td></tr><tr><td><pre><code>cardOwnerName
</code></pre></td><td>Cardholder name</td></tr><tr><td><pre><code>trackingCode
</code></pre></td><td>Tracking Number<br><br><strong>Note: Not unique</strong></td></tr><tr><td><pre><code>customerId
</code></pre></td><td><p>Customer identity number in your system</p><p><br><mark style="color:blue;"><strong>*</strong></mark><strong> </strong><mark style="color:blue;"><strong>Can be left empty</strong></mark></p></td></tr><tr><td><pre><code>productCategory
</code></pre></td><td>Product category<br><br><mark style="color:blue;"><strong>*</strong></mark><strong> </strong><mark style="color:blue;"><strong>Can be left empty</strong></mark></td></tr><tr><td><pre><code>productId
</code></pre></td><td>Product ID<br><br><mark style="color:blue;"><strong>*</strong></mark><strong> </strong><mark style="color:blue;"><strong>Can be left empty</strong></mark></td></tr><tr><td><pre><code>merchantUniqueCode
</code></pre></td><td><p>Must be the same value as MerchantUniqueCode sent in the payment initiation request</p><p>This code is a unique value assigned by you for the transaction</p><p>It is used to uniquely identify and track a payment across all operations such as cancellation refund and payment inquiry<br><br><mark style="color:blue;"><strong>* 250</strong></mark><strong> </strong><mark style="color:blue;"><strong>characters</strong></mark><br><mark style="color:$danger;"><strong>*</strong></mark> <mark style="color:$danger;">Must be unique</mark></p></td></tr><tr><td><pre><code>providerBased
</code></pre></td><td>Used when you decide on your own side which provider the payment should be routed through</td></tr><tr><td><pre><code>providerKey
</code></pre></td><td>Provider key you want the payment to be processed through</td></tr><tr><td><pre><code>routeGroupKey
</code></pre></td><td><p>Used when you want the payment to go through a configured custom provider set</p><p>The key of the relevant provider set must be provided</p></td></tr><tr><td><pre><code>payRouteByPass
</code></pre></td><td>Send <strong>true</strong> when you want to bypass the PayRoute configuration defined in the Paywall panel for the specific payment</td></tr><tr><td><pre><code>payRouteType
</code></pre></td><td>In the PayRoute bypass process, this field specifies which PayRoute type the configuration should be forced to use<br><br>See: <a href="/pages/1Dk9V7ha13cYQ7LpykZx">PayRoute Types</a></td></tr><tr><td><pre><code>posBased
</code></pre></td><td>Used when you decide on your own side which provider the payment should be routed through</td></tr><tr><td><pre><code>posId
</code></pre></td><td><p>It is the connection ID of the provider you want the payment to be processed through</p><p>It is available in the list of connected providers in the Paywall panel</p></td></tr></tbody></table>

</details>
{% endtab %}

{% tab title="XLSX" %}
{% hint style="info" %}
Coming Soon
{% endhint %}
{% endtab %}

{% tab title="CSV" %}
{% hint style="info" %}
Coming Soon
{% endhint %}
{% endtab %}

{% tab title="JSON" %}
{% hint style="info" %}
Coming Soon
{% endhint %}
{% endtab %}

{% tab title="XML" %}
{% hint style="info" %}
Coming Soon
{% endhint %}
{% endtab %}
{% endtabs %}

📁 **File Samples**

{% tabs %}
{% tab title="TXT" %}
{% file src="/files/pozLbQGuL8eDDO8aDbIw" %}

{% file src="/files/xotGipMh23awhu6KT3A1" %}
{% endtab %}

{% tab title="XLSX" %}
{% hint style="info" %}
Yakında
{% endhint %}
{% endtab %}

{% tab title="CSV" %}
{% hint style="info" %}
Yakında
{% endhint %}
{% endtab %}

{% tab title="JSON" %}
{% hint style="info" %}
Yakında
{% endhint %}
{% endtab %}

{% tab title="XML" %}
{% hint style="info" %}
Yakında

📁 **Dosya Tipleri**

📁 **Dosya Desenleri**

📁 **Dosya Kolonları**

{% tabs %}
{% tab title="TXT" %}
**Açık Kart Basit:**

```csharp
{cardNumber},{expiryDate},{amount},{lineNumber},{cardOwnerName},{trackingCode},{customerId},{productCategory},{productId},{merchantUniqueCode},{providerBased},{providerKey},{routeGroupKey},{payRouteByPass},{payRouteType},{posBased},{posId}
```

<details>

<summary><strong>Açık Kart Basit - Kolon Açıklamaları</strong></summary>

<table><thead><tr><th>Parametre</th><th>Açıklama</th></tr></thead><tbody><tr><td><pre><code>cardNumber
</code></pre></td><td>Ödeme alınacak kart numarası</td></tr><tr><td><pre><code>expiryDate
</code></pre></td><td>Kartın son kullanma tarihi</td></tr><tr><td><pre><code>amount
</code></pre></td><td>Ödeme sepet tutarı</td></tr><tr><td><pre><code>lineNumber
</code></pre></td><td>İşlemin satır numarası</td></tr><tr><td><pre><code>cardOwnerName
</code></pre></td><td>Kart sahibinin adı</td></tr><tr><td><pre><code>trackingCode
</code></pre></td><td>Takip Numarası<br><br><strong>Not: Tekil değildir</strong></td></tr><tr><td><pre><code>customerId
</code></pre></td><td>Müşterinin sisteminizdeki kimlik numarası<br><br><mark style="color:blue;"><strong>* Boş geçilebilir</strong></mark></td></tr><tr><td><pre><code>productCategory
</code></pre></td><td>Ürün kategorisi<br><br><mark style="color:blue;"><strong>* Boş geçilebilir</strong></mark></td></tr><tr><td><pre><code>productId
</code></pre></td><td>Ürün kimliği<br><br><mark style="color:blue;"><strong>* Boş geçilebilir</strong></mark></td></tr><tr><td><pre><code>merchantUniqueCode
</code></pre></td><td>Ödeme başlatma için gönderilen istek içerisindeki MerchantUniqueCode ile aynı değer olmalıdır. Bu kod sizin tarafınızdan işleme ait verilen tekil değerdir. İptal/İade/Ödeme Sorgulama işlemlerinin hepsinde bir ödemeyi tekilleştirmeniz ve takip etmeniz için kullanılmaktadır.<br><br><mark style="color:blue;"><strong>* 250 karakter</strong></mark><br><mark style="color:$danger;"><strong>* Tekil olmalıdır</strong></mark></td></tr><tr><td><pre><code>providerBased
</code></pre></td><td>Ödemenizin hangi sağlayıcıdan geçmesi gerektiğine kendi tarafınızda karar verdiğinizde kullanılır</td></tr><tr><td><pre><code>providerKey
</code></pre></td><td>Ödemenizin geçmesini istediğiniz sağlayıcı anahtarı</td></tr><tr><td><pre><code>routeGroupKey
</code></pre></td><td>Ödemenizin yapılandırılmış özel sağlayıcı kümesinden geçmesini istediğinizde. İlgili sağlayıcı kümesinin anahtarı iletilmelidir</td></tr><tr><td><pre><code>payRouteByPass
</code></pre></td><td>Paywall panelinde yapılandırılan PayRoute ayarını ilgili ödeme özelinde bypass etmek istediğinizde <code>true</code> gönderilmelidir</td></tr><tr><td><pre><code>payRouteType
</code></pre></td><td>PayRoute bypass işleminde, ayarların hangi PayRoute tipine zorlanacağı buradan belirtilir<br><br>Bkz: <a href="/pages/1Dk9V7ha13cYQ7LpykZx">PayRoute Tipleri</a></td></tr><tr><td><pre><code>posBased
</code></pre></td><td>Ödemenizin hangi sağlayıcıdan geçmesi gerektiğine kendi tarafınızda karar verdiğinizde kullanılır</td></tr><tr><td><pre><code>posId
</code></pre></td><td>Ödemenizin geçmesini istediğiniz sağlayıcının bağlantı kimlik numarasıdır. Paywall panelinden temin bağlı sağlayıcılar listesinde yer almaktadır</td></tr></tbody></table>

</details>

**Sigortacılık Basit:**

```csharp
{cardNoFirst},{cardNoLast},{identityNumber},{amount},{lineNumber},{cardOwnerName},{trackingCode},{customerId},{productCategory},{productId},{merchantUniqueCode},{providerBased},{providerKey},{routeGroupKey},{payRouteByPass},{payRouteType},{posBased},{posId}
```

<details>

<summary><strong>Sigortacılık Basit - Kolon Açıklamaları</strong></summary>

<table><thead><tr><th>Parametre</th><th>Açıklama</th></tr></thead><tbody><tr><td><pre><code>cardNoFirst    
</code></pre></td><td>Kart'ın ilk 8 hanesi</td></tr><tr><td><pre><code>cardNoLast
</code></pre></td><td>Kart'ın son 4 hanesi</td></tr><tr><td><pre><code>identityNumber
</code></pre></td><td>Kart sahibinin TCKN/VKN numarası</td></tr><tr><td><pre><code>amount
</code></pre></td><td>Ödeme sepet tutarı</td></tr><tr><td><pre><code>lineNumber
</code></pre></td><td>İşlemin satır numarası</td></tr><tr><td><pre><code>cardOwnerName
</code></pre></td><td>Kart sahibinin adı</td></tr><tr><td><pre><code>trackingCode
</code></pre></td><td>Takip Numarası<br><br><strong>Not: Tekil değildir</strong></td></tr><tr><td><pre><code>customerId
</code></pre></td><td>Müşterinin sisteminizdeki kimlik numarası<br><br><mark style="color:blue;"><strong>* Boş geçilebilir</strong></mark></td></tr><tr><td><pre><code>productCategory
</code></pre></td><td>Ürün kategorisi<br><br><mark style="color:blue;"><strong>* Boş geçilebilir</strong></mark></td></tr><tr><td><pre><code>productId
</code></pre></td><td>Ürün kimliği<br><br><mark style="color:blue;"><strong>* Boş geçilebilir</strong></mark></td></tr><tr><td><pre><code>merchantUniqueCode
</code></pre></td><td>Ödeme başlatma için gönderilen istek içerisindeki MerchantUniqueCode ile aynı değer olmalıdır. Bu kod sizin tarafınızdan işleme ait verilen tekil değerdir. İptal/İade/Ödeme Sorgulama işlemlerinin hepsinde bir ödemeyi tekilleştirmeniz ve takip etmeniz için kullanılmaktadır.<br><br><mark style="color:blue;"><strong>* 250 karakter</strong></mark><br><mark style="color:$danger;"><strong>* Tekil olmalıdır</strong></mark></td></tr><tr><td><pre><code>providerBased
</code></pre></td><td>Ödemenizin hangi sağlayıcıdan geçmesi gerektiğine kendi tarafınızda karar verdiğinizde kullanılır</td></tr><tr><td><pre><code>providerKey
</code></pre></td><td>Ödemenizin geçmesini istediğiniz sağlayıcı anahtarı</td></tr><tr><td><pre><code>routeGroupKey
</code></pre></td><td>Ödemenizin yapılandırılmış özel sağlayıcı kümesinden geçmesini istediğinizde. İlgili sağlayıcı kümesinin anahtarı iletilmelidir</td></tr><tr><td><pre><code>payRouteByPass
</code></pre></td><td>Paywall panelinde yapılandırılan PayRoute ayarını ilgili ödeme özelinde bypass etmek istediğinizde <code>true</code> gönderilmelidir</td></tr><tr><td><pre><code>payRouteType
</code></pre></td><td>PayRoute bypass işleminde, ayarların hangi PayRoute tipine zorlanacağı buradan belirtilir<br><br>Bkz: <a href="/pages/1Dk9V7ha13cYQ7LpykZx">PayRoute Tipleri</a></td></tr><tr><td><pre><code>posBased
</code></pre></td><td>Ödemenizin hangi sağlayıcıdan geçmesi gerektiğine kendi tarafınızda karar verdiğinizde kullanılır</td></tr><tr><td><pre><code>posId
</code></pre></td><td>Ödemenizin geçmesini istediğiniz sağlayıcının bağlantı kimlik numarasıdır. Paywall panelinden temin bağlı sağlayıcılar listesinde yer almaktadır</td></tr></tbody></table>

</details>
{% endtab %}

{% tab title="XLSX" %}
{% hint style="info" %}
Yakında
{% endhint %}
{% endtab %}

{% tab title="CSV" %}
{% hint style="info" %}
Yakında
{% endhint %}
{% endtab %}

{% tab title="JSON" %}
{% hint style="info" %}
Yakında
{% endhint %}
{% endtab %}

{% tab title="XML" %}
{% hint style="info" %}
Yakında
{% endhint %}
{% endtab %}
{% endtabs %}

📁 **Dosya Örnekleri**

{% tabs %}
{% tab title="TXT" %}
{% file src="/files/pozLbQGuL8eDDO8aDbIw" %}

{% file src="/files/xotGipMh23awhu6KT3A1" %}
{% endtab %}

{% tab title="XLSX" %}
{% hint style="info" %}
Yakında
{% endhint %}
{% endtab %}

{% tab title="CSV" %}
{% hint style="info" %}
Yakında
{% endhint %}
{% endtab %}

{% tab title="JSON" %}
{% hint style="info" %}
Yakında
{% endhint %}
{% endtab %}

{% tab title="XML" %}
{% hint style="info" %}
Yakında
{% endhint %}
{% endtab %}
{% endtabs %}
{% endhint %}

<table><thead><tr><th width="160.5">Id</th><th>Durum</th></tr></thead><tbody><tr><td>1</td><td>XLSX <mark style="color:blue;"><code>Yakında</code></mark></td></tr><tr><td>2</td><td>CSV <mark style="color:blue;"><code>Yakında</code></mark></td></tr><tr><td>3</td><td>JSON <mark style="color:blue;"><code>Yakında</code></mark></td></tr><tr><td>4</td><td>XML  <mark style="color:blue;"><code>Yakında</code></mark></td></tr><tr><td>5</td><td>TXT</td></tr></tbody></table>

<table><thead><tr><th width="160.5">Id</th><th>Durum</th></tr></thead><tbody><tr><td>1</td><td>Açık Kart - Basit</td></tr><tr><td>2</td><td>Açık Kart - Gelişmiş</td></tr><tr><td>3</td><td>Sigortacılık - Basit</td></tr><tr><td>4</td><td>Sigortacılık - Gelişmiş</td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.paywall.one/payment-orchestration-integration-document/system-data/bulk-payment-file-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
